#pragma once

#include <saas/rtyserver/indexer_core/normalizer.h>

class TDocUrlNormalizer : public NRTYServer::INormalizer {
public:
    TDocUrlNormalizer(const TRTYServerConfig& config);
    virtual const char* Name() const override;
    virtual bool AllRight(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& indexFrq) const override;
    virtual void Fix(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& indexFrq) const override;
};
